fusialDocs

List recent deliveries

GET
/webhook-endpoints/{id}/deliveries
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Path Parameters

id*string

The webhook endpoint id.

Query Parameters

limit?integer

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/webhook-endpoints/string/deliveries"
{
  "deliveries": [
    {
      "id": "string",
      "endpointId": "string",
      "eventId": "string",
      "eventType": "string",
      "status": "PENDING",
      "attempts": 0,
      "responseStatus": 0,
      "responseBody": "string",
      "errorMessage": "string",
      "deliveredAt": "2019-08-24T14:15:22Z",
      "redeliveryOfId": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "string",
    "details": {
      "issues": [
        {
          "path": "string",
          "message": "string"
        }
      ]
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}